package com.simuwang.base.pojo.dos;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class RcCompetitionTaskDateDO {
    /**
     * 主键Id
     */
    private Integer id;

    /**
     * 大赛ID
     */
    private Integer competitionId;

    /**
     * 基金指标计算
     */
    private String indicatorCalcDate;

    /**
     * 基金净值明细输出日期
     */
    private String navDetailDate;

    /**
     * 基金净值缺失明细输出日期
     */
    private String navDeletionDate;

    /**
     *
     */
    private String priodDate;

    /**
     * 输出榜单:年份-月份:月度，年份季度:季度，all:总榜单，2years:两年榜，fir_halfyear:上半年，sec_halfyear:下半年
     */
    private String priod;

    @Data
    public static class DepositeNavDO {

        /**
         * 指数Id
         */
        private String indexId;

        /**
         * 指数日期
         */
        private Date priceDate;

        /**
         * 收盘价
         */
        private BigDecimal close;
    }
}
