package com.simuwang.base.event;

import org.springframework.context.ApplicationEvent;

public class CalcFundRankEvent extends ApplicationEvent {

    private CalcFundRankEventDO calcFundRankEventDO;

    public CalcFundRankEvent(Object source, CalcFundRankEventDO calcFundRankEventDO) {
        super(source);
        this.calcFundRankEventDO = calcFundRankEventDO;
    }

    public CalcFundRankEventDO getEventObject() {
        return this.calcFundRankEventDO;
    }

}
