package com.simuwang.manage.api.email;

import com.simuwang.manage.service.FundAliasService;
import com.smppw.common.pojo.ResultVo;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/v1/fund-alias")
public class FundAliasController {

    private final FundAliasService fundAliasService;

    public FundAliasController(FundAliasService fundAliasService) {
        this.fundAliasService = fundAliasService;
    }

    @GetMapping("/update-fund-nav")
    public ResultVo<Void> updateFundNavAndAsset(@RequestParam(name = "date") String date){
        fundAliasService.updateFundNavAndAsset(date);
        return null;
    }

}
